import { Image, Pressable, StyleSheet, Text, View } from 'react-native'
import React from 'react'
import {useFonts} from "expo-font"

const loginScreen = () => {
    useFonts({
        'dancing':require('../../assets/fonts/DancingScript-Regular.ttf')
    })

  return (
    <View>
        <Image source={require('../../assets/images/login_page.jpg')} style={{width: '100%', height: 400, resizeMode: "containe"}}/>
        <View style={{backgroundColor: "white", marginTop: -20, borderRadius: 20,}}>
            <Text style={{fontSize: 20, fontWeight: 600, textAlign: "center", marginTop: 50, color: "#CA8787"}}>Welcome  to</Text>
            <Text style={{fontSize: 32, letterSpacing: 2 ,fontWeight: 600, textAlign: "center", marginTop: 10, fontFamily: 'dancing', color: "#A79277"}}>HAPPITHRIFT</Text>
            <Text style={{fontSize: 12, fontWeight: 600, textAlign: "center", marginTop: 5, color: "#CA8787"}}>Where pinnies still hold value!</Text>
            <Pressable style={{marginTop: 50, alignItems: "center"}}>
                <Text>Get Start</Text>
            </Pressable>
        </View>
    </View>
  )
}

export default loginScreen

const styles = StyleSheet.create({})